ConfigBeanInfoBase (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.util

## Class ConfigBeanInfoBase

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - com.sleepycat.util.ConfigBeanInfoBase

- All Implemented Interfaces:
    `java.beans.BeanInfo`
  Direct Known Subclasses:
    `EvolveConfigBeanInfo`, `StoreConfigBeanInfo`

      public class ConfigBeanInfoBase
      extends java.beans.SimpleBeanInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.util.ArrayList<java.lang.String>` | `getterAndSetterMethods` |
    `protected static java.util.ArrayList<java.lang.String>` | `ignoreMethods` |
    `protected static java.util.ArrayList<java.lang.String>` | `propertiesName` |

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigBeanInfoBase()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.beans.BeanDescriptor` | `getBdescriptor​(java.lang.Class cls)` |
    `java.beans.BeanDescriptor` | `getBeanDescriptor​(java.lang.Class cls)` | Gets the bean's `BeanDescriptor`s.
    `int` | `getDefaultEventIndex()` | A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.
    `int` | `getDefaultPropertyIndex()` | A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.
    `java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()` | Gets the bean's `EventSetDescriptor`s.
    `java.awt.Image` | `getIcon​(int iconKind)` | This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.
    `protected static java.beans.PropertyDescriptor[]` | `getPdescriptor​(java.lang.Class cls)` |
    `protected static void` | `getPropertiesInfo​(java.lang.Class cls)` |
    `java.beans.PropertyDescriptor[]` | `getPropertyDescriptors​(java.lang.Class cls)` | Gets the bean's `PropertyDescriptor`s.

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `getAdditionalBeanInfo, getBeanDescriptor, getMethodDescriptors, getPropertyDescriptors, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### propertiesName

          protected static java.util.ArrayList<java.lang.String> propertiesName

    - #### getterAndSetterMethods

          protected static java.util.ArrayList<java.lang.String> getterAndSetterMethods

    - #### ignoreMethods

          protected static java.util.ArrayList<java.lang.String> ignoreMethods

  - ### Constructor Detail

    - #### ConfigBeanInfoBase

          public ConfigBeanInfoBase()

  - ### Method Detail

    - #### getPropertiesInfo

          protected static void getPropertiesInfo​(java.lang.Class cls)

    - #### getPdescriptor

          protected static java.beans.PropertyDescriptor[] getPdescriptor​(java.lang.Class cls)

    - #### getBdescriptor

          protected static java.beans.BeanDescriptor getBdescriptor​(java.lang.Class cls)

    - #### getBeanDescriptor

          public java.beans.BeanDescriptor getBeanDescriptor​(java.lang.Class cls)

      Gets the bean's `BeanDescriptor`s.
      Parameters:
        `cls` - the Class.
      Returns:
        BeanDescriptor describing the editable properties of this bean. May return null if the information should be obtained by automatic analysis.

    - #### getPropertyDescriptors

          public java.beans.PropertyDescriptor[] getPropertyDescriptors​(java.lang.Class cls)

      Gets the bean's `PropertyDescriptor`s.
      Parameters:
        `cls` - the Class.
      Returns:
        An array of PropertyDescriptors describing the editable properties supported by this bean. May return null if the information should be obtained by automatic analysis.

        If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.

    - #### getEventSetDescriptors

          public java.beans.EventSetDescriptor[] getEventSetDescriptors()

      Gets the bean's `EventSetDescriptor`s.
      Specified by:
        `getEventSetDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`
      Returns:
        An array of EventSetDescriptors describing the kinds of events fired by this bean. May return null if the information should be obtained by automatic analysis.

    - #### getDefaultPropertyIndex

          public int getDefaultPropertyIndex()

      A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.
      Specified by:
        `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`
      Overrides:
        `getDefaultPropertyIndex` in class `java.beans.SimpleBeanInfo`
      Returns:
        Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

        Returns -1 if there is no default property.

    - #### getDefaultEventIndex

          public int getDefaultEventIndex()

      A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.
      Specified by:
        `getDefaultEventIndex` in interface `java.beans.BeanInfo`
      Overrides:
        `getDefaultEventIndex` in class `java.beans.SimpleBeanInfo`
      Returns:
        Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

        Returns -1 if there is no default event.

    - #### getIcon

          public java.awt.Image getIcon​(int iconKind)

      This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc. Icon images will typically be GIFs, but may in future include other formats.

      Beans aren't required to provide icons and may return null from this method.

      There are four possible flavors of icons (16x16 color, 32x32 color, 16x16 mono, 32x32 mono). If a bean choses to only support a single icon we recommend supporting 16x16 color.

      We recommend that icons have a "transparent" background so they can be rendered onto an existing background.

      Specified by:
        `getIcon` in interface `java.beans.BeanInfo`
      Overrides:
        `getIcon` in class `java.beans.SimpleBeanInfo`
      Parameters:
        `iconKind` - The kind of icon requested. This should be one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.
      Returns:
        An image object representing the requested icon. May return null if no suitable icon is available.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.